src.c.utils.log.Log(3)

NAME
src.c.utils.log.Log -

SYNOPSIS

Inherits object.

  Public Member Functions
def __init__ (self)
def printL (self, pMsg, pLvl)

  Public Attributes
logger

Detailed Description

Log Manager

Constructor & Destructor Documentation

  def src.c.utils.log.Log.__init__ ( self)

Define 3 differents utils :
activity.log -> all activity
warning.log -> only warning
error.log -> error
Write all message on terminal too

Member Function Documentation

  def src.c.utils.log.Log.printL ( self, pMsg, pLvl)

Add color and write in log with an define level
pMsg : message to write in log
pLvl : level of log message

Author

Generated automatically by Doxygen for Dream Park from the source code.